# Get Sharable Video URL

Generates a public, shareable URL for a specific video. The generated link allows anyone with the URL to view the video without authentication.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/video/share": {
      "post": {
        "summary": "Retrieve Sharable Video URL",
        "description": "Generates a public URL for a video, allowing it to be shared and accessed publicly.",
        "operationId": "retrieve-sharable-video-url",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "video_id": {
                    "type": "string",
                    "description": "<p>Unique identifier of the video for which you want to generate a shareable URL. Can be retrieved from the following endpoints:</p> <ul>   <li><a href=\"https://docs.heygen.com/reference/create-an-avatar-video-v2\" target=\"_blank\">Create Avatar Video (V2)</a></li>   <li><a href=\"https://docs.heygen.com/reference/create-a-webm-video\" target=\"_blank\">Create A WebM Video</a></li>   <li><a href=\"https://docs.heygen.com/reference/generate-from-template-v2\" target=\"_blank\">Generate Video from Template</a></li> </ul>"
                  }
                },
                "required": [
                  "video_id"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Video URL retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": "https://app.heygen.com/share/32avc0b452a848949136b2h23d7a21z8",
                      "msg": null,
                      "message": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details."
                    },
                    "data": {
                      "type": "string",
                      "description": "Public URL of the video. "
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```